Subject: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Nov 2020 13:56:40 -0500

> What's the rationale?  Why not leave it without the cookie, right
> until the time we turn lexical-binding on by default?

Because when we change the default (not sure what that could be, 2030
maybe?), it will change the way existing files are treated except those
that have a `lexical-binding:` cookie.  Clearly, this is dangerous and
so we want to minimize the number of those files until then.

That's the motivation also for the proposal to add a warning when the
cookie is absent.

        Stefan